#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QtSql>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::tisk (QString s)
{
    ui->plainTextEdit->appendPlainText (s);
}

// #include <QtSql>
void MainWindow::on_actionTest_triggered()
{
    db = QSqlDatabase::addDatabase("QSQLITE", "my_conn");
    db.setDatabaseName("abc.db");
    if (db.open ())
    {
       tisk ("otevreno");
       {
       QSqlQuery q ("", db);
       QString cmd = "create table Movies (id integer primary key, Title varchar, Director varchar, Rating number)";
       bool ok = q.exec(cmd);
       if (ok) tisk ("tabulka vytvorena");

       ok = q.exec("insert into Movies values (5, 'Hardware', 'Richard Stanley', '5.2')");
       if (ok) tisk ("radka vlozena");
       }

       QSqlQuery q (db);
       q.prepare ("insert into Movies "
                  " (id, Title, Director) "
                  " values (?, ?, ?)");
       for (int i = 1; i <= 10; i++)
       {
           q.addBindValue (200+i);
           q.addBindValue ("Title " + QString::number(i));
           q.addBindValue ("Robot");
           bool ok = q.exec();
           if (ok) tisk ("radka vlozena");
       }
    }
    else
       tisk ("chyba pri otvirani");
}

void MainWindow::on_actionDisplay_triggered()
{
    QSqlTableModel * m =
       new QSqlTableModel (ui->tableView, db);

    m->setTable("Movies");
    // m->setEditStrategy(QSqlTableModel::OnManualSubmit);
    m->select ();

    // m->setHeaderData(0, Qt::Horizontal, tr("Name"));

    ui->tableView->setModel(m);
    // ui->tableView->update();

}
